Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593848 - nearly impossible to use sftp backend
nearly impossible to use sftp backend
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: deja-dup (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 16:25 EDT by Bill Nottingham
Modified: 2018-04-11 05:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 09:16:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencast of the issue (307.81 KB, video/webm)
2011-03-12 09:49 EST, Matěj Cepl
no flags Details

  None (edit)
Description Bill Nottingham 2010-05-19 16:25:59 EDT
Description of problem:

I've been attempting to test the sftp backend by pointing it at fedorapeople.org.

This appears to be nearly impossible, as it seems wholly unable to actually switch to the user's home dir, even if you pass it as the 'folder' in the 'Connect to Server' dialog.

Version-Release number of selected component (if applicable):

deja-dup-14.1-1.fc13.x86_64
duplicity-0.6.08b-1.fc13.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Choose 'Connect to Server'
2. Choose sftp, fedorapeople.org
3. Either leave the defaults, or select folder '/home/fedora/<whomever>'
  
Actual results:

deja-dup insists on always trying to write to fedorapeople's root directory. Needless to say, this fails.

Expected results:

Not that.
Comment 1 Michael Terry 2010-06-04 22:23:18 EDT
This is upstream bug https://bugs.launchpad.net/deja-dup/+bug/460656

Basically, when you use the 'Connect to Server' dialog it would ideally set your location to the destination you picked.  But it doesn't yet for technical reasons.

Then, when you try to select the server from the combo box, you are doing just that -- it's just a standard GtkFileChooserButton.  So to pick a subfolder, you need to choose 'Other...' and navigate to the folder you want *again*.

Not a great user interaction, but I'm waiting for https://bugzilla.gnome.org/show_bug.cgi?id=584871 to be fixed in Nautilus before I can do something more clever.
Comment 2 Adam Pribyl 2010-11-06 17:12:02 EDT
Even thou there is now a directory and bookmark option in deja-dup it ignores this setting wish sftp when you enter it, then it calls the duplicity with no directory to re/store. If I copy the duplicity command line and add the directory manually then it works. Not to mention your "Not a great user interaction" describing very well the procedure of adding any kind of backup directory in deja-dup.
Comment 3 Fedora Update System 2010-12-08 03:40:23 EST
deja-dup-16.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/deja-dup-16.1-2.fc14
Comment 4 Fedora Update System 2010-12-08 16:36:29 EST
deja-dup-16.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update deja-dup'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/deja-dup-16.1-2.fc14
Comment 5 Adam Pribyl 2010-12-09 08:07:07 EST
This problem is not fixed with this release. IMHO it has to do something with nautilus but ATM this still does not work.
Comment 6 Michael Terry 2010-12-09 08:13:07 EST
Right, this isn't addressed yet.  I plan to make the whole thing nicer for Fedora 15.
Comment 7 Rahul Sundaram 2010-12-10 01:59:19 EST
Excluded this update from the bug fix list

https://admin.fedoraproject.org/updates/edit/deja-dup-16.1-2.fc14
Comment 8 Matěj Cepl 2011-03-12 09:49:44 EST
Created attachment 483899 [details]
screencast of the issue

(In reply to comment #0)
> This appears to be nearly impossible, as it seems wholly unable to actually
> switch to the user's home dir, even if you pass it as the 'folder' in the
> 'Connect to Server' dialog.

I have actually exactly opposite experiene ... when trying to save backups to my primary backup location (which is not $HOME on the targeting computer), I cannot set my directory (see the screencast).
Comment 9 Matěj Cepl 2011-03-12 09:50:45 EST
sorry, using deja-dup-17.90-1.x86_64 on F15.
Comment 10 Rahul Sundaram 2011-05-09 09:16:06 EDT
17.4 in Fedora 15 fixes this problem

Note You need to log in before you can comment on or make changes to this bug.